<?php
session_start();
require('../fpdf/fpdf.php');
require('garantia_cliente_plantilla.php');
require '../../../conexion.php';
require_once('../../../include/sesiones.php');

// Creación del objeto de la clase heredada
$pdf=new PDF_MC_Table();
$pdf->AliasNbPages();
$pdf->AddPage();
$pdf->SetFont('Times','',10);
$pdf->Ln();


    $pdf->Image('../../../img/'.$empresa.'.png',10,5,60);
    // Arial bold 15
    $pdf->SetFont('Arial','B',12);
    // Movernos a la derecha
    $pdf->Cell(130);
    $pdf->Cell(50,4,utf8_decode($emp_nombre),0,0,'C');
    $pdf->Ln();
    $pdf->SetFont('Arial','B',9);
    $pdf->Cell(130);
    $pdf->Cell(50,4,'Nit: '.$emp_nit,0,0,'C');
    $pdf->Ln();
    $pdf->Cell(130);
    $pdf->Cell(50,4,$emp_direccion,0,0,'C');
    $pdf->Ln();
    $pdf->Cell(130);
    $pdf->Cell(50,4,'E-mail:'.$emp_correo,0,0,'C');
    $pdf->Ln();
    $pdf->Cell(130);
    $pdf->Cell(50,4,'Cel:'.$emp_cel.' / Tel:'.$emp_telefono,0,0,'C');
    $pdf->Ln(10);


    $gar_id=$_GET['gar_id'];
    $sql1=mysqli_query($con, "SELECT * from garantias where gar_id='$gar_id' and empresa='$empresa'");
    $row1=mysqli_fetch_array($sql1);
    $gar_art_id=$row1['gar_art_id'];

    $pdf->nombre($row1['gar_nombre']);
    $pdf->cc($row1['gar_cc']);
    $pdf->fecha($row1['gar_fecha_recibo']);
    $pdf->fact_dev($row1['gar_numero']);

    $pdf->Ln(10);

    $pdf->Rect(10, 46, 190, 55, 'D');
    $pdf->SetFont('Arial','B',8);
    $pdf->SetFillColor(255,255,255);
    $pdf->Cell(47,4,utf8_decode('DESCRIPCIÓN DEL EQUIPO:') ,0,0,'L',1);
    
  
    $pdf->Ln();
    $pdf->Cell(29,2,'ARTICULO:' ,0,0,'L',1);
    $pdf->Cell(155,3,utf8_decode($row1['gar_articulo']),0,1,'L',1);
    $pdf->Ln();
    $pdf->Cell(29,2,'SERIAL:' ,0,0,'L',1);
    $pdf->Cell(155,2,utf8_decode($row1['gar_serie']),0,1,'L',1);
    $pdf->Ln();
    $pdf->Cell(29,2,'MODELO:' ,0,0,'L',1);
    $pdf->Cell(155,2,utf8_decode($row1['gar_modelo']),0,1,'L',1);
    $pdf->Ln();
    $pdf->Cell(29,2,'ACCESORIOS:' ,0,0,'L',1);
    $pdf->Cell(155,2,utf8_decode($row1['gar_accesorios']),0,1,'L',1);
    $pdf->Ln();
    $pdf->Cell(29,2,'FALLA:' ,0,0,'L',1);
    $pdf->multicell(155,3,utf8_decode($row1['gar_problema']),0,1,'L',1);
    $pdf->Ln();
    $pdf->Cell(29,2,'DIAGNOSTICO:' ,0,0,'L',1);
    $pdf->multicell(155,3,utf8_decode($row1['obser_entrega']),0,1,'L',1);
    $pdf->Ln();

    $sql2=mysqli_query($con, "SELECT * from garantia_serial where gs_gar_id='$gar_id' and gs_art_id='$gar_art_id'");
    $row2=mysqli_fetch_array($sql2);

    $pdf->Cell(29,2,'SERIAL:' ,0,0,'L',1);
    $pdf->multicell(155,3,utf8_decode($row2['gs_serial']),0,1,'L',1);
    $pdf->Ln();
    $pdf->Cell(29,2,'OBSERVACIONES:' ,0,0,'L',1);
    $pdf->multicell(155,3,utf8_decode($row1['gar_observaciones']),0,1,'L',1);

     
    $pdf->Ln(20); 
    $pdf->SetFont('Arial','B',8);
    // Movernos a la derecha
    $pdf->Cell(73);
    $pdf->Cell(60,0,'___________________________________',0,0,'L');
    $pdf->Cell(70,0,'___________________________________',0,0,'L');
    $pdf->Ln(2);

    $pdf->Cell(73);
    $pdf->Cell(60,2,'Cliente C.C',0,0,'L');
    $pdf->Cell(70,2,'Tecnico C.C',0,0,'L');
    $pdf->Ln(5);
   
    $pdf->Output();
?>